Last Comment Bug 853033 - nsIPrintSettings should have IID revved
: nsIPrintSettings should have IID revved
Status: RESOLVED FIXED
: dev-doc-needed
Product: Core
Classification: Components
Component: Printing: Output (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla22
Assigned To: Julian Viereck
:
Mentors:
Depends on:
Blocks: 851302 743252
  Show dependency treegraph
 
Reported: 2013-03-20 10:27 PDT by bhavana bajaj [:bajaj]
Modified: 2013-03-28 07:52 PDT (History)
6 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
+
fixed
+
fixed


Attachments
Changes uuid. (868 bytes, patch)
2013-03-26 06:27 PDT, Julian Viereck
justin.lebar+bug: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta-
lukasblakk+bugs: approval‑mozilla‑release-
Details | Diff | Splinter Review

Description bhavana bajaj [:bajaj] 2013-03-20 10:27:17 PDT
http://hg.mozilla.org/mozilla-central/rev/8de609c5d378 changeset (Bug 743252 ) missed the IID change with the  interface nsIPrintSettings : nsISupports being modified
Comment 1 bhavana bajaj [:bajaj] 2013-03-25 16:46:35 PDT
Julian, looks like the patch (Bug 743252 ) adds a new attribute in "b/widget/nsIPrintSettings.idl" . Does IID need to be revved in this case ? If so can you please help with a patch asap.
Comment 2 Julian Viereck 2013-03-26 06:27:13 PDT
Created attachment 729497 [details] [diff] [review]
Changes uuid.

Changes uuid.


Try push (still running):

https://tbpl.mozilla.org/?tree=Try&rev=9795ca37d8f4
Comment 3 Justin Lebar (not reading bugmail) 2013-03-26 06:29:42 PDT
Comment on attachment 729497 [details] [diff] [review]
Changes uuid.

r=me
Comment 4 Julian Viereck 2013-03-26 08:54:27 PDT
Try run looks green -> Checkin-Needed flag.

Also requesting dev-docs-needed as the UUID changed and someone pointed out that might be a good thing todo.
Comment 5 Julian Viereck 2013-03-26 21:26:07 PDT
Comment on attachment 729497 [details] [diff] [review]
Changes uuid.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 743252
User impact if declined: Addons might break due to not updated UUID.
Testing completed (on m-c, etc.): Try run, not landed on m-c at point of making approval request
Risk to taking this patch (and alternatives if risky): Very low risk
String or UUID changes made by this patch: nsIPrintSession
Comment 6 Julian Viereck 2013-03-26 21:40:27 PDT
Comment on attachment 729497 [details] [diff] [review]
Changes uuid.

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 743252
User impact if declined: Addons might break due to not updated UUID.
Testing completed (on m-c, etc.): Try run, not landed on m-c at point of making approval request
Risk to taking this patch (and alternatives if risky): Very low risk
String or UUID changes made by this patch: nsIPrintSession
Comment 7 Benjamin Smedberg AWAY UNTIL 2-AUG-2016 [:bsmedberg] 2013-03-27 05:25:05 PDT
Comment on attachment 729497 [details] [diff] [review]
Changes uuid.

This is a mess.

First, I'm pretty sure that this doesn't affect release (but we absolutely wouldn't approve a UUID change there anyway).

Second, we don't change interfaces or UUIDs on beta. So the fact that bug 743252 already landed on beta means we're kinda screwed here either way.

I don't understand why jorgev gave ba= to this in the first place... it seems like the kind of change that should automatically be rejected :-(
Comment 8 Ryan VanderMeulen [:RyanVM] 2013-03-27 07:54:36 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/bb210464e583
Comment 9 Lukas Blakk [:lsblakk] use ?needinfo 2013-03-27 08:10:24 PDT
Comment on attachment 729497 [details] [diff] [review]
Changes uuid.

I'm not sure if we'll uplift this yet, but fwiw mozilla-release now have FF20 on it since we did the merge yesterday so resetting the nom flag in case we do take this uplift - we'll build FF20 off of mozilla-release repo which will need this included.
Comment 10 Lukas Blakk [:lsblakk] use ?needinfo 2013-03-27 12:04:51 PDT
After discussing with Benjamin the call is to leave this out of FF20 (and notify certain addon authors we know need to be in the loop on this: F-Secure, Avira, Norton, and Skype).  This is similar to what we did in FF19 with bug 838668.  We should take this to mozilla-aurora right away so we don't run into this on FF21 when it merges to Beta on Monday.
Comment 11 Ryan VanderMeulen [:RyanVM] 2013-03-27 14:14:47 PDT
https://hg.mozilla.org/mozilla-central/rev/bb210464e583
Comment 12 Ryan VanderMeulen [:RyanVM] 2013-03-28 07:52:08 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/ac5ed16b6a74

Note You need to log in before you can comment on or make changes to this bug.